Bug 258941 - mail/mailman3 3.3.1 with postorius 1.3.5 throws 404 errors
Summary: mail/mailman3 3.3.1 with postorius 1.3.5 throws 404 errors
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Charlie Li
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-05 08:49 UTC by Einar Bjarni Halldórsson
Modified: 2021-10-29 11:49 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (vishwin)


Attachments
Screenshot (31.03 KB, image/png)
2021-10-05 08:49 UTC, Einar Bjarni Halldórsson
no flags Details
Patch to /usr/ports to upgrade mailman3 to 3.3.4 (6.30 KB, patch)
2021-10-29 11:49 UTC, Henri Hennebert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Einar Bjarni Halldórsson 2021-10-05 08:49:43 UTC
Created attachment 228457 [details]
Screenshot

See https://gitlab.com/mailman/postorius/-/issues/516

Is it possible to upgrade the version of mailman3 in ports?


[05/Oct/2021:08:45:09 +0000] "GET /3.1/lists/rix-announce.lists.isnic.is/member/list-admin%40isnic.is HTTP/1.1" 404 26 "-" "GNU Mailman REST client v3.3.3"
[05/Oct/2021:08:45:09 +0000] "GET /3.1/users/65523fc24ab74bd4aa41edfc4617daae HTTP/1.1" 200 393 "-" "GNU Mailman REST client v3.3.3"
[05/Oct/2021:08:45:09 +0000] "GET /3.1/users/65523fc24ab74bd4aa41edfc4617daae/preferred_address HTTP/1.1" 200 370 "-" "GNU Mailman REST client v3.3.3"
[05/Oct/2021:08:45:09 +0000] "GET /3.1/lists/rix-announce@lists.isnic.is/requests/count?token_owner=moderator HTTP/1.1" 404 58 "-" "GNU Mailman REST client v3.3.3"
Comment 1 Henri Hennebert 2021-10-29 11:49:12 UTC
Created attachment 229116 [details]
Patch to /usr/ports to upgrade mailman3 to 3.3.4

If you apply this patch in /usr/ports you can upgrade mailman3 to 3.3.4 and solve this issue.

Note that databases/alembic is reversed to version 1.4.3.